> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an account

Retrieve a single account by account ID.


## OpenAPI

````yaml /openapi.json get /accounts/{account_id}
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /accounts/{account_id}:
    get:
      tags:
        - Accounts
      summary: Get an account
      description: Get an account with a specific UUID
      parameters:
        - description: Account UUID
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Returns the requested account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountData'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Client ID or account UUID not found
        '409':
          description: >-
            Could not update contact due to data constraint or conflict with
            contact status. Refer to error message for additional details
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    AccountData:
      properties:
        account_details:
          description: The list of `AccountDetail`s for this `currency`
          items:
            $ref: '#/components/schemas/AccountDetails'
          type: array
        account_id:
          description: The UUID of the account
          type: string
        account_subtype:
          $ref: '#/components/schemas/AccountSubType'
        account_type:
          $ref: '#/components/schemas/AccountType'
        currency:
          description: Identification of the currency in which the account is held
          type: string
        status:
          $ref: '#/components/schemas/AccountStatus'
      required:
        - currency
        - account_details
        - status
        - account_id
        - account_type
        - account_subtype
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    AccountDetails:
      properties:
        account_address:
          description: The address of the account
          type: string
        account_name:
          description: >-
            The name or names of the account owner(s) represented at an account
            level
          type: string
        account_number:
          description: The number of the account
          type: string
        account_number_type:
          $ref: '#/components/schemas/AccountNumberType'
        bank_identifier:
          description: The identifier of the bank
          type: string
        bank_identifier_type:
          $ref: '#/components/schemas/BankIdentifierType'
      required:
        - account_address
        - account_name
        - account_number
        - account_number_type
        - bank_identifier
        - bank_identifier_type
      type: object
    AccountSubType:
      description: The sub-type of the account.
      enum:
        - EMoney
      type: string
    AccountType:
      description: The type of the account.
      enum:
        - Personal
        - Business
      type: string
    AccountStatus:
      description: The status of the account.
      enum:
        - Enabled
        - Disabled
        - Deleted
      type: string
    AccountNumberType:
      description: The type of the account number.
      enum:
        - IBAN
        - BBAN
      type: string
    BankIdentifierType:
      description: >-
        The type of the bank identifier, to comply with ISO20022 `code`s related
        to [Clearing System
        Identification](https://www.iso20022.org/sites/default/files/2020-05/ExternalCodeSets_1Q2020_February2020_v1.xls),
        with the addition of `SWBIC` for swift international payments.
      type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````